

[![Banner](https://gitlab.com/PGTechs/pg-logos/-/raw/main/docbanner_atwork.png)](https://www.youtube.com/playlist?list=PLDpvBa7Jf-4oEM3skj5FFPk-BoP5UHFyC)

<div align="center">
<hr />
  <a href="https://discord.gg/QRVt6fF">Discord</a> ·
  <a href="https://www.facebook.com/PrincegameRAX">Facebook</a> · 
  <a href="https://gitlab.com/PGTechs">GitLab</a> · 
  <a href="https://www.youtube.com/c/PGTechs">YouTube</a>
</div>


# ติดตั้งโปรแกรมจำลองการทำงานวงจรดิจิทัล Logisim (เวอร์ชันดั้งเดิม) บนเดสก์ท็อปลินุกซ์

*[Logisim เวอร์ชันดั้งเดิม](http://cburch.com/logisim/) ไม่ได้รับการพัฒนาต่อแล้ว หากต้องการเวอร์ชันใหม่ ลองดู [Logisim Evolution](https://github.com/logisim-evolution/logisim-evolution)*

Logisim เป็นโปรแกรมเพื่อการศึกษาในการออกแบบและจำลอง Digital logic circuits ที่นิยมใช้ในมหาวิทยาลัยต่าง ๆ ทั่วโลก สามารถใช้งานได้ฟรี โอเพนซอร์ส และ Cross-platform

ในเว็บไซต์ของ Logisim เราสามารถดาวน์โหลดและติดตั้งได้ 3 รูปแบบ คือ Windows EXE, tarball ของ macOS และ .jar ที่สามารถใช้ได้กับทุกระบบปฏิบัติการที่รองรับ Java 5 ขึ้นไป (รวมถึง Linux ด้วย)

## 1. สร้างโฟลเดอร์ที่จะใช้จัดเก็บโปรแกรม Logisim

เราจะสร้างโฟลเดอร์ `opt` ใน Home folder ของเรา เพื่อใช้จัดเก็บโปรแกรมที่ไม่ได้ถูกติดตั้งโดย Package manager และสร้างโฟลเดอร์ `logisim` ในโฟลเดอร์นั้น ดังภาพ

![screenshot](screenshots/folder.png)

หรือทำผ่านเทอร์มินัลด้วยคำสั่ง

	mkdir -p $HOME/opt/logisim

## 2. ดาวน์โหลดไฟล์ .jar จากเว็บไซต์ SourceForge

[ดาวน์โหลดได้จากที่นี่](https://sourceforge.net/projects/circuit/) เมื่อดาวน์โหลดเสร็จแล้ว ให้ย้ายหรือคัดลอกไปไว้ในโฟลเดอร์ที่ได้สร้างไว้ก่อนหน้านี้

## 3. Extract icon ออกมาจาก .jar

ใช้โปรแกรมอย่าง Archive Manager ในการ Extract ไฟล์ไอคอนที่อยู่ที่ `/resources/logisim/img/logisim-icon-128.png`

![screenshot](screenshots/location.png)

จากนั้น นำไปไว้ในโฟลเดอร์เดียวกับ `.jar` ดังภาพ

![screenshot](screenshots/opt.png)

## 4. สร้างไฟล์ Desktop entry เพื่อให้สามารถเรียกใช้โปรแกรมได้

การเรียกใช้งานโปรแกรมต่าง ๆ ผ่านเมนูแอปพลิเคชันของเดสก์ท็อปต่าง ๆ บนลินุกซ์จะอาศัยไฟล์ Desktop entry ตามมาตรฐาน [freedesktop.org](https://en.wikipedia.org/wiki/Freedesktop.org) ที่จัดเก็บในรูปแบบไฟล์ `.desktop` อยู่ใน `/usr/share/applications` และ `~/.local/share/applications`

เราสามารถสร้างไฟล์เหล่านี้ได้อย่างง่ายดายผ่านโปรแกรมอย่าง [Desktop Files Creator](https://github.com/alexkdeveloper/desktop-files-creator) ที่สามารถ[ดาวน์โหลดได้จาก Flathub](https://flathub.org/apps/details/com.github.alexkdeveloper.desktop-files-creator)

![screenshot](screenshots/dfc1.png)

เริ่มจากการใส่ Name, Exec, Icon และ Comment โดย Name และ Comment สามารถใส่ชื่อได้เลย ส่วน Exec และ Icon แนะนำให้ใช้ปุ่มรูปโฟลเดอร์ในการ Browse เพื่อให้ได้  Path เต็มออกมา ดังภาพ

![screenshot](screenshots/dfc2.png)

ไฟล์ `.jar` ไม่สามารถทำงานได้ด้วยตัวเอง ต้องเรียกใช้ผ่าน `java -jar /path/to/jar` ดังนั้น ในบรรทัด Exec เราจำเป็นต้องเพิ่ม `java -jar` ลงไปหน้า Path ดังภาพ

![screenshot](screenshots/dfc3.png)

เมื่อเสร็จสิ้นแล้ว ให้กดปุ่ม Create ที่มุมบนขวา ให้กด OK จะแสดงผลว่าไฟล์ถูกสร้างเรียบร้อยแล้ว สามารถเปิดใช้งานจากเมนูแอปพลิเคชันของเดสก์ท็อปได้ทันที

![screenshot](screenshots/activities.png)



## ช่วยเหลือ

การติดตั้งโปรแกรมจำลองการทำงานวงจรดิจิทัล Logisim บน Linux ก็จะประมาณนี้นะครับ ใครมีข้อสงสัย หรือติดขัดตรงไหน สามารถสอบถามกันเข้ามาทางคอมเมนต์หรืออินบอกซ์เพจ facebook ของเราได้เลยครับ

[![Footer](https://gitlab.com/PGTechs/pg-logos/-/raw/41f79f17bbb0a26bd580c005fa294f5c3b83eb9e/docs_footer.png)](https://www.facebook.com/PrincegameRAX)

<div align="center">
<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a>
</div>